MysqlndUhConnection::setAutocommit
MysqlndUhConnection::setClientOption
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::setCharset

Sets the default client character set

### Description

public bool MysqlndUhConnection::setCharset ( mysqlnd_connection `$connection` , string `$charset` )

Sets the default client character set.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`charset`

  The charset to be set as default.

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::setCharset example

`<?php
class proxy extends MysqlndUhConnection {
public function setCharset($res, $charset) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::setCharset($res, $charset);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->set_charset("latin1");
?>`

The above example will output:

    proxy::setCharset(array (
      0 => NULL,
      1 => 'latin1',
    ))
    proxy::setCharset returns true

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_set_charset